
import requests
from oauthlib.oauth2 import BackendApplicationClient
from requests_oauthlib import OAuth2Session

def get_access_token(client_id, client_secret, token_url):
    """
    This function uses OAuth2 to get an access token using client credentials.

    :param client_id: The client ID provided by the OAuth server
    :param client_secret: The client secret provided by the OAuth server
    :param token_url: The URL to get the access token
    :return: A dictionary containing the access token
    """
    client = BackendApplicationClient(client_id=client_id)
    oauth_session = OAuth2Session(client=client)
    token = oauth_session.fetch_token(token_url=token_url, client_id=client_id, client_secret=client_secret)
    return token



